about summary refs log tree commit diff
diff options
context:
space:
mode:
authorvanhauser-thc <vh@thc.org>2022-09-26 03:43:45 +0200
committervanhauser-thc <vh@thc.org>2022-09-26 03:43:45 +0200
commit77f253c1b910e5240ac467680ea9e21a1e4e05ef (patch)
treede88ea63a985e399ef994336e1a789a753e8fbb1
parented54532f29e90bd3e9dd7322d9ed1de8877d9498 (diff)
downloadafl++-77f253c1b910e5240ac467680ea9e21a1e4e05ef.tar.gz
fix custom mutator build scripts
-rwxr-xr-xcustom_mutators/gramatron/build_gramatron_mutator.sh2
m---------custom_mutators/gramatron/json-c0
-rwxr-xr-xcustom_mutators/grammar_mutator/build_grammar_mutator.sh2
3 files changed, 2 insertions, 2 deletions
diff --git a/custom_mutators/gramatron/build_gramatron_mutator.sh b/custom_mutators/gramatron/build_gramatron_mutator.sh
index 9952e7f5..ff88ff26 100755
--- a/custom_mutators/gramatron/build_gramatron_mutator.sh
+++ b/custom_mutators/gramatron/build_gramatron_mutator.sh
@@ -125,7 +125,7 @@ else
   }
 fi
 
-test -d json-c/.git || { echo "[-] not checked out, please install git or check your internet connection." ; exit 1 ; }
+test -e json-c/.git || { echo "[-] not checked out, please install git or check your internet connection." ; exit 1 ; }
 echo "[+] Got json-c."
 
 test -e json-c/.libs/libjson-c.a || {
diff --git a/custom_mutators/gramatron/json-c b/custom_mutators/gramatron/json-c
-Subproject 11546bfd07a575c47416924cb98de3d33a4e642
+Subproject af8dd4a307e7b837f9fa2959549548ace4afe08
diff --git a/custom_mutators/grammar_mutator/build_grammar_mutator.sh b/custom_mutators/grammar_mutator/build_grammar_mutator.sh
index 5121b07f..74cae8aa 100755
--- a/custom_mutators/grammar_mutator/build_grammar_mutator.sh
+++ b/custom_mutators/grammar_mutator/build_grammar_mutator.sh
@@ -119,7 +119,7 @@ else
   }
 fi
 
-test -f grammar_mutator/.git || { echo "[-] not checked out, please install git or check your internet connection." ; exit 1 ; }
+test -e grammar_mutator/.git || { echo "[-] not checked out, please install git or check your internet connection." ; exit 1 ; }
 echo "[+] Got grammar mutator."
 
 cd "grammar_mutator" || exit 1